Bug 485821 - intel kms breaks xgamma
intel kms breaks xgamma
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 16:02 EST by Bill Nottingham
Modified: 2014-03-16 23:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 19:26:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-02-16 16:02:09 EST
Description of problem:

After loading the intel KMS support with 'modprobe i915 modeset=1', xgamma has zero effect on the display, either from xorg.conf directives or from the commandline. The server and the utility think the gamma is adjusted, but the display does not change.

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810-2.6.0-5.fc11.x86_64
xorg-x11-server-Xorg-1.5.99.902-10.fc11.x86_64
kernel-2.6.29-0.119.rc5.fc11.x86_64

How reproducible:

Well, only booted once so far, but there's no reason to think it isn't repeatable.

Steps to Reproduce:
1. Load modesetting driver
2. Start X
3. Attempt to adjust gamma
  
Actual results:

Fails.

Expected results:

Works.
Comment 1 Matěj Cepl 2009-02-16 17:59:36 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Kristian Høgsberg 2009-02-17 09:24:19 EST
No, it's fine, I know exactly what's broken.
Comment 3 Kristian Høgsberg 2009-02-18 18:08:07 EST
xorg-x11-drv-i810-2_6_0-6_fc11 should fix gamma again.
Comment 4 Bill Nottingham 2009-02-19 19:26:27 EST
Confirmed.

Note You need to log in before you can comment on or make changes to this bug.